#
# spec file for package python-python-docs-theme
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-docs-theme
Version:        2020.1
Release:        1.24
Summary:        The Sphinx theme for the CPython docs and related projects
License:        Python-2.0
Group:          Development/Languages/Python
URL:            https://docs.python.org
Source:         https://files.pythonhosted.org/packages/source/p/python-docs-theme/python-docs-theme-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
The Sphinx theme for the CPython docs and related projects

%prep
%setup -q -n python-docs-theme-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar 20 2020 pgajdos@suse.com
- version update to 2020.1
  * no upstream changelog found
* Mon Jun 10 2019 mcepl@suse.com
- Initial packaging effort for 2018.7 version.
